package net.zenrindatacom.geofenceapp_sample.application;

import android.content.Intent;

/**
 * 位置測位ライブラリからの通知をキャスト通知するインタフェース
 */
public interface ILocationNotifyListener {
    //「測位結果（OKパターン）」通知（連続測位、単測位）
    void onNotifiedLocationOK(Intent intent);
    //「測位結果（NGパターン）」通知（連続測位、単測位）
    void onNotifiedLocationNG(Intent intent);
    //「認証エラー」通知
    void onNotifiedAuthError(Intent intent);
    //「内部エラー」通知
    void onNotifiedInternalError(Intent intent);
    //「オペレーション実行エラー」通知
    void onNotifiedOperationError(@SuppressWarnings("unused") Intent intent);
}
